TaskType (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.mapreduce
Enum TaskType

    java.lang.Object
      java.lang.Enum<TaskType>
          org.apache.hadoop.mapreduce.TaskType

All Implemented Interfaces:
  Serializable, Comparable<TaskType>

    public enum TaskType

extends Enum<TaskType>

Enum for map, reduce, job-setup, job-cleanup, task-cleanup task types.

Enum Constant Summary
`JOB_CLEANUP`
`JOB_SETUP`
`MAP`
`REDUCE`
`TASK_CLEANUP`

Method Summary
`static TaskType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TaskType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MAP

    public static final TaskType MAP

### REDUCE

    public static final TaskType REDUCE

### JOB_SETUP

    public static final TaskType JOB_SETUP

### JOB_CLEANUP

    public static final TaskType JOB_CLEANUP

### TASK_CLEANUP

    public static final TaskType TASK_CLEANUP

Method Detail

### values

    public static TaskType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TaskType c : TaskType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TaskType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation